qpid::framing::StreamProperties Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::StreamProperties Class Reference

`#include <qpid/framing/StreamProperties.h>`

List of all members.

## Public Member Functions
| StreamProperties (const std::string &_contentType, const std::string &_contentEncoding, const FieldTable &_headers, uint8_t _priority, uint64_t _timestamp)
| StreamProperties ()
void | setContentType (const std::string &_contentType)
const std::string & | getContentType () const
bool | hasContentType () const
void | clearContentTypeFlag ()
void | setContentEncoding (const std::string &_contentEncoding)
const std::string & | getContentEncoding () const
bool | hasContentEncoding () const
void | clearContentEncodingFlag ()
void | setHeaders (const FieldTable &_headers)
const FieldTable & | getHeaders () const
FieldTable & | getHeaders ()
bool | hasHeaders () const
void | clearHeadersFlag ()
void | setPriority (uint8_t _priority)
uint8_t | getPriority () const
bool | hasPriority () const
void | clearPriorityFlag ()
void | setTimestamp (uint64_t _timestamp)
uint64_t | getTimestamp () const
bool | hasTimestamp () const
void | clearTimestampFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 2561
## Friends
std::ostream & | operator<< (std::ostream &, const StreamProperties &)

## Constructor & Destructor Documentation

qpid::framing::StreamProperties::StreamProperties | ( | const std::string & | _contentType,
|  | const std::string & | _contentEncoding,
|  | const FieldTable & | _headers,
|  | uint8_t | _priority,
|  | uint64_t | _timestamp
| ) |  | `[inline]`

Definition at line 47 of file StreamProperties.h.

qpid::framing::StreamProperties::StreamProperties | ( |  | ) | `[inline]`

Definition at line 65 of file StreamProperties.h.

## Member Function Documentation

uint32_t qpid::framing::StreamProperties::bodySize | ( |  | ) | const

void qpid::framing::StreamProperties::clearContentEncodingFlag | ( |  | ) |

void qpid::framing::StreamProperties::clearContentTypeFlag | ( |  | ) |

void qpid::framing::StreamProperties::clearHeadersFlag | ( |  | ) |

void qpid::framing::StreamProperties::clearPriorityFlag | ( |  | ) |

void qpid::framing::StreamProperties::clearTimestampFlag | ( |  | ) |

void qpid::framing::StreamProperties::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::StreamProperties::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::StreamProperties::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::StreamProperties::encodedSize | ( |  | ) | const

void qpid::framing::StreamProperties::encodeStructBody | ( | Buffer & |  | ) | const

const std::string& qpid::framing::StreamProperties::getContentEncoding | ( |  | ) | const

const std::string& qpid::framing::StreamProperties::getContentType | ( |  | ) | const

const FieldTable& qpid::framing::StreamProperties::getHeaders | ( |  | ) | const

FieldTable& qpid::framing::StreamProperties::getHeaders | ( |  | ) |

uint8_t qpid::framing::StreamProperties::getPriority | ( |  | ) | const

uint64_t qpid::framing::StreamProperties::getTimestamp | ( |  | ) | const

bool qpid::framing::StreamProperties::hasContentEncoding | ( |  | ) | const

bool qpid::framing::StreamProperties::hasContentType | ( |  | ) | const

bool qpid::framing::StreamProperties::hasHeaders | ( |  | ) | const

bool qpid::framing::StreamProperties::hasPriority | ( |  | ) | const

bool qpid::framing::StreamProperties::hasTimestamp | ( |  | ) | const

void qpid::framing::StreamProperties::print | ( | std::ostream & | out | ) | const

void qpid::framing::StreamProperties::setContentEncoding | ( | const std::string & | _contentEncoding | ) |

void qpid::framing::StreamProperties::setContentType | ( | const std::string & | _contentType | ) |

void qpid::framing::StreamProperties::setHeaders | ( | const FieldTable & | _headers | ) |

void qpid::framing::StreamProperties::setPriority | ( | uint8_t | _priority | ) |

void qpid::framing::StreamProperties::setTimestamp | ( | uint64_t | _timestamp | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const StreamProperties & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::StreamProperties::TYPE = 2561`[static]`

Definition at line 46 of file StreamProperties.h.

The documentation for this class was generated from the following file:

- qpid/framing/StreamProperties.h